Skip to main content
GET
/
api
/
v1
/
email
/
threads
List email threads
curl --request GET \
  --url https://prod.featherhq.com/api/v1/email/threads \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://prod.featherhq.com/api/v1/email/threads"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://prod.featherhq.com/api/v1/email/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "threads": [
    {
      "id": "<string>",
      "organizationId": "<string>",
      "agentId": "<string>",
      "agentVersionId": "<string>",
      "emailDomainId": "<string>",
      "leadId": "<string>",
      "fromEmail": "<string>",
      "fromName": "<string>",
      "toEmail": "<string>",
      "subject": "<string>",
      "isActive": true,
      "closedAt": "<string>",
      "closedReason": "<string>",
      "lastActivityAt": "<string>",
      "reopenedAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "emailTags": []
    }
  ],
  "pagination": {
    "limit": 10,
    "nextCursor": "<string>"
  }
}
{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}
{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}

Authorizations

X-API-Key
string
header
required

Query Parameters

limit
string
cursor
string
agentId
string<uuid>
toEmail
string<email>
isActive
string
chatEndedReason
enum<string>
Available options:
OPTED_OUT,
DNC,
FRAUD,
CONTACT_AGAIN,
WRONG_NUMBER,
NOT_INTERESTED,
APPOINTMENT_BOOKED,
ENDED,
WORKFLOW_ONE_OFF_TEXT,
FILTERED_SPAM,
FILTERED_OOO,
FILTERED_AUTO_REPLY
hasDraft
string
closedReason
enum<string>
Available options:
CLOSED,
TERMINATED

Response

List of email threads

threads
object[]
required
pagination
object
required